/*
 * Copyright (C) 2018 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.android.tools.idea.gradle.dsl.api.ext;

import com.google.common.base.Objects;
import org.jetbrains.annotations.NotNull;

public class RawText {
  @NotNull private final String myRawText;

  public RawText(@NotNull String rawText) {
    myRawText = rawText;
  }

  @NotNull
  public String getText() {
    return myRawText;
  }

  @Override
  @NotNull
  public String toString() {
    return myRawText;
  }

  @Override
  public boolean equals(Object o) {
    if (this == o) return true;
    if (o == null || getClass() != o.getClass()) return false;
    RawText text = (RawText)o;
    return Objects.equal(myRawText, text.myRawText);
  }

  @Override
  public int hashCode() {
    return Objects.hashCode(myRawText);
  }
}
